summaryrefslogtreecommitdiffstats
path: root/PCBSD/pc-sysinstall/backend-query/.svn/text-base/detect-nics.sh.svn-base
diff options
context:
space:
mode:
Diffstat (limited to 'PCBSD/pc-sysinstall/backend-query/.svn/text-base/detect-nics.sh.svn-base')
-rw-r--r--PCBSD/pc-sysinstall/backend-query/.svn/text-base/detect-nics.sh.svn-base16
1 files changed, 16 insertions, 0 deletions
diff --git a/PCBSD/pc-sysinstall/backend-query/.svn/text-base/detect-nics.sh.svn-base b/PCBSD/pc-sysinstall/backend-query/.svn/text-base/detect-nics.sh.svn-base
new file mode 100644
index 0000000..ead211d
--- /dev/null
+++ b/PCBSD/pc-sysinstall/backend-query/.svn/text-base/detect-nics.sh.svn-base
@@ -0,0 +1,16 @@
+#!/bin/sh
+
+rm /tmp/netCards 2>/dev/null
+touch /tmp/netCards
+
+config="`ifconfig -l`"
+
+for i in $config
+do
+ echo "${i}" | grep -e "lo0" -e "^fwe" -e "^fwip" -e "lo1" -e "^plip" -e "^pfsync" -e "^pflog" -e "^tun" >/dev/null 2>/dev/null
+ if [ "$?" != "0" ]
+ then
+ IDENT="<`dmesg | grep ^${i} | grep -v "miibus" | grep '<' | cut -d '<' -f 2 | cut -d '>' -f 1 | head -1`>"
+ echo "${i}: $IDENT"
+ fi
+done
OpenPOWER on IntegriCloud